defmodule Expiphany.MixProject do
  use Mix.Project

  def project do
    [
      app: :expiphany,
      deps: deps(),
      description: description(),
      docs: [
        # The main page in the docs
        main: "Expiphany",
        extras: ["README.md"]
      ],
      elixir: "~> 1.13",
      homepage_url: "https//github.com/carsdotcom/expiphany",
      package: package(),
      source_url: "https//github.com/carsdotcom/expiphany",
      start_permanent: Mix.env() == :prod,
      version: "0.1.0"
    ]
  end

  def application do
    [
      extra_applications: [:logger]
    ]
  end

  defp deps do
    [
      {:ex_doc, "~> 0.27", only: :dev, runtime: false},
      {:phoenix_html, ">= 2.14.0"}
    ]
  end

  defp description() do
    "Expiphany is an Elixir/Phoenix wrapper around [Epiphany](https://github.com/epiphany) components to make working with Epiphany in Phoenix seamless."
  end

  defp package() do
    [
      licenses: ["Apache-2.0"],
      links: %{"GitHub" => "https://github.com/carsdotcom/expiphany"}
    ]
  end
end
